import { boot } from 'quasar/wrappers';
import { createI18n } from 'vue-i18n';
import messages from 'src/i18n';
import { useState } from 'src/composables/useState';
const user = useState().getUser();

const i18n = createI18n({
    locale: user.value.lang || navigator.language || navigator.userLanguage,
    fallbackLocale: 'en',
    globalInjection: true,
    messages,
    missingWarn: false,
    fallbackWarn: false,
    legacy: false,
});

export default boot(({ app }) => {
    // Set i18n instance on app
    app.use(i18n);
});

export { i18n };
